javax.swing.plaf.basic

## Class BasicListUI.MouseInputHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicListUI.MouseInputHandler

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, EventListener, MouseInputListener
  Enclosing class:
    BasicListUI

      public class BasicListUI.MouseInputHandler
      extends Object
      implements MouseInputListener

  Mouse input, and focus handling for JList. An instance of this class is added to the appropriate java.awt.Component lists at installUI() time. Note keyboard input is handled with JComponent KeyboardActions, see installKeyboardActions().

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

  See Also:
    `BasicListUI.createMouseInputListener()`, `BasicListUI.installKeyboardActions()`, `BasicListUI.installUI(javax.swing.JComponent)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicListUI.MouseInputHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseClicked(MouseEvent e)` Invoked when the mouse button has been clicked (pressed and released) on a component.
    `void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
    `void` | `mouseEntered(MouseEvent e)` Invoked when the mouse enters a component.
    `void` | `mouseExited(MouseEvent e)` Invoked when the mouse exits a component.
    `void` | `mouseMoved(MouseEvent e)` Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
    `void` | `mousePressed(MouseEvent e)` Invoked when a mouse button has been pressed on a component.
    `void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicListUI.MouseInputHandler

          public BasicListUI.MouseInputHandler()

  - ### Method Detail

    - #### mouseClicked

          public void mouseClicked(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when the mouse button has been clicked (pressed and released) on a component.
      Specified by:
        `mouseClicked` in interface `MouseListener`

    - #### mouseEntered

          public void mouseEntered(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when the mouse enters a component.
      Specified by:
        `mouseEntered` in interface `MouseListener`

    - #### mouseExited

          public void mouseExited(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when the mouse exits a component.
      Specified by:
        `mouseExited` in interface `MouseListener`

    - #### mousePressed

          public void mousePressed(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when a mouse button has been pressed on a component.
      Specified by:
        `mousePressed` in interface `MouseListener`

    - #### mouseDragged

          public void mouseDragged(MouseEvent e)

      Description copied from interface: `MouseMotionListener`
      Invoked when a mouse button is pressed on a component and then dragged. `MOUSE_DRAGGED` events will continue to be delivered to the component where the drag originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

      Due to platform-dependent Drag&Drop implementations, `MOUSE_DRAGGED` events may not be delivered during a native Drag&Drop operation.

      Specified by:
        `mouseDragged` in interface `MouseMotionListener`

    - #### mouseMoved

          public void mouseMoved(MouseEvent e)

      Description copied from interface: `MouseMotionListener`
      Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
      Specified by:
        `mouseMoved` in interface `MouseMotionListener`

    - #### mouseReleased

          public void mouseReleased(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when a mouse button has been released on a component.
      Specified by:
        `mouseReleased` in interface `MouseListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.